<?xml version="1.0" encoding="UTF-8"?>
<TBONUS_PROCESS desc_thai="ทะเบียนโบนัส" desc_eng="Bonus process table" editcheck="true" mainhelp="TBONUS_PROCESSHELP" referhelp="TBONUS_PROCESSHELP" mainkey="TBONUS_PROCESSID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<TBONUS_PROCESSID lang="A" encrypt="false" log="false" type="String" >
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Bonus process ID</DESC_ENG>
			<DESC_THAI>รหัสประมวผลโบนัส</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Bonus process ID</ALT_ENG>
				<ALT_THAI>รหัสประมวผลโบนัส</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TBONUS_PROCESSID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<TDESC lang="T" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>60</SIZE>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>60</SIZE>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EDESC>
		<BONUS_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Bonus Date</DESC_ENG>
			<DESC_THAI>วันที่จ่ายโบนัส</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Bonus Date</ALT_ENG>
				<ALT_THAI>วันที่จ่ายโบนัส</ALT_THAI>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate(this);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
			</COMPONENT>
		</BONUS_DATE>
		<DAY_PER_YEAR lang="A" encrypt="false" log="true" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Day per year</DESC_ENG>
			<DESC_THAI>จำนวนวันต่อปี</DESC_THAI>
			<GROUP>testprocess</GROUP>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Day per year</ALT_ENG>
				<ALT_THAI>จำนวนวันต่อปี</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<DEFAULTVALUE>365</DEFAULTVALUE>
			</COMPONENT>
		</DAY_PER_YEAR>
		<MIN_DAY lang="A" encrypt="false" log="true" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Minimum Days Entitle Bonus</DESC_ENG>
			<DESC_THAI>จำนวนวันทำงานขั้นต่ำ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>4</SIZE>
				<ALT_ENG>Minimum Days Entitle Bonus</ALT_ENG>
				<ALT_THAI>จำนวนวันทำงานขั้นต่ำ</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<DEFAULTVALUE>1</DEFAULTVALUE>
			</COMPONENT>
		</MIN_DAY>
		<DATE_TYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Date Type</DESC_ENG>
			<DESC_THAI>ประเภทวันที่นำมาคำนวณอายุงาน</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>DATE_TYPE</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Date Type</ALT_ENG>
				<ALT_THAI>ประเภทวันที่นำมาคำนวณอายุงาน</ALT_THAI>
			</COMPONENT>
		</DATE_TYPE>
		<PRORATE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Probation rate</DESC_ENG>
			<DESC_THAI>คิดตามจำนวนวันที่มีสิทธิได้รับ</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Probation rate</ALT_ENG>
				<ALT_THAI>คิดตามจำนวนวันที่มีสิทธิได้รับ</ALT_THAI>
			</COMPONENT>
		</PRORATE>
		<ROUNDID lang="A" encrypt="false" log="false" type="String">
			<RELATION>MROUND</RELATION>
			<WIDTH>3</WIDTH>
			<DESC_ENG>Round figure style</DESC_ENG>
			<DESC_THAI>รูปแบบการปัดเศษ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>รูปแบบการปัดเศษ</ALT_THAI>
				<ALT_ENG>Round figure style</ALT_ENG>
			</COMPONENT>
			<REQUIRE>TRUE</REQUIRE>
		</ROUNDID>
		<EMP_TYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MEMPLOYMENT_TYPE</RELATION>
			<DESC_ENG>Employment type</DESC_ENG>
			<DESC_THAI>ประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employment type</ALT_ENG>
				<ALT_THAI>ประเภทพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_TYPE>
		<BASE_INCOME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Base income</DESC_ENG>
			<DESC_THAI>คำนวณโบนัสจาก</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>INCOME_FROM</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Base income</ALT_ENG>
				<ALT_THAI>คำนวณโบนัสจาก</ALT_THAI>
			</COMPONENT>
		</BASE_INCOME>
		<QUERY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Query</DESC_ENG>
			<DESC_THAI>คิวรี่</DESC_THAI>
			<COMPONENT type="Textarea">
				<LINES>3</LINES>
				<SIZECHAR>50</SIZECHAR>
				<ALT_ENG>Query</ALT_ENG>
				<ALT_THAI>คิวรี่</ALT_THAI>
			</COMPONENT>
		</QUERY>
		<FORMULAID lang="A" encrypt="false" log="false" type="String">
			<RELATION>MFORMULA</RELATION>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Transfer bonus to paroll code</DESC_ENG>
			<DESC_THAI>บันทึกลงรหัสสูตร</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Transfer bonus to paroll code</ALT_ENG>
				<ALT_THAI>บันทึกลงรหัสสูตร</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</FORMULAID>
		<PERIODGROUP lang="A" encrypt="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<RELATION>MVACATION_PERIOD_GROUP</RELATION>
			<DESC_ENG>Period Group</DESC_ENG>
			<DESC_THAI>กลุ่มการจัดงวด</DESC_THAI>
			<COMPONENT type="text">
			    <MAXSIZE>20</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Period Group</ALT_ENG>
				<ALT_THAI>กลุ่มการจัดงวด</ALT_THAI>
			</COMPONENT>
		</PERIODGROUP>
	</FIELD>
	<RELATION>
		<TBONUS_PROCESSED>
			<PARENT>TBONUS_PROCESS.TBONUS_PROCESSID</PARENT>
			<PARENT>TBONUS_PROCESS.COMPANYID</PARENT>
			<CHILD>TBONUS_PROCESSED.TBONUS_PROCESSID</CHILD>
			<CHILD>TBONUS_PROCESSED.COMPANYID</CHILD>
		</TBONUS_PROCESSED>
	</RELATION>
</TBONUS_PROCESS>
